curl --request PATCH \
--url https://api.privy.io/v1/condition_sets/{condition_set_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"name": "Updated Recipients List"
}
'{
"id": "qvah5m2hmp9abqlxdmfiht93",
"name": "Updated Recipients List",
"owner_id": "asgkan0r7gi0wdbvf9cw8qio",
"created_at": 1761271537642
}Condition sets
Update condition set
Update a condition set by condition set ID.
PATCH
/
v1
/
condition_sets
/
{condition_set_id}
curl --request PATCH \
--url https://api.privy.io/v1/condition_sets/{condition_set_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"name": "Updated Recipients List"
}
'{
"id": "qvah5m2hmp9abqlxdmfiht93",
"name": "Updated Recipients List",
"owner_id": "asgkan0r7gi0wdbvf9cw8qio",
"created_at": 1761271537642
}Authorizations
Headers
Body
application/json
Request body for updating a condition set. At least one field must be provided. owner and owner_id are mutually exclusive.
Response
200 - application/json
Updated condition set object.
A condition set for grouping related condition values.
Was this page helpful?

